### Enumeration

# Aravis GcStreamable

since: 0.8.8

#### Declaration

    enum Aravis.GcStreamable

#### Description [src]

Denotes that the corresponding feature is prepared to be stored to and loaded from a file via the node tree. The idea is to persist the state of a camera by storing the features marked as Streamable and restore the state by writing those features back to the node tree.

Available since: 0.8.8

#### Members

`ARV_GC_STREAMABLE_UNDEFINED`

  Undefined streamable.

  - Value: `-1`
  - Available since: 0.8.8
`ARV_GC_STREAMABLE_NO`

  The feature can’t be used for camera state persistence.

  - Value: `0`
  - Available since: 0.8.8
`ARV_GC_STREAMABLE_YES`

  The feature can be used for camera state persistence.

  - Value: `1`
  - Available since: 0.8.8